/*
 * This file and its contents are supplied under the terms of the
 * Common Development and Distribution License ("CDDL"), version 1.0.
 * You may only use this file in accordance with the terms of version
 * 1.0 of the CDDL.
 *
 * A full copy of the text of the CDDL should have accompanied this
 * source.  A copy of the CDDL is also available via the Internet at
 * http://www.illumos.org/license/CDDL.
 */

/*
 * Copyright 2012 David Hoeppner. All rights reserved.
 */

#ifndef	_INET_DCCP_DCCP_IP_H
#define	_INET_DCCP_DCCP_IP_H

#include <netinet/dccp.h>
#include <inet/dccp_stack.h>

#ifdef	__cplusplus
extern "C" {
#endif

/*
 * DCCP functions for IP
 */
extern void	dccp_ddi_g_init(void);
extern void	dccp_ddi_g_destroy(void);


#ifdef	__cplusplus
}
#endif

#endif	/* _INET_DCCP_DCCP_IP_H */
